#!/bin/bash

PATH=/sbin:/bin:/usr/bin:/usr/sbin

version=`cat /etc/installer_version`
VERSION=$version
FIRSTBOOT_TOUCH_DIR="/var/lib/fmc/firstboot"
FIRSTBOOT_TOUCH_FILE_2=${FIRSTBOOT_TOUCH_DIR}/firstboot2-${VERSION}.run

OUR_IP=$(ifconfig eth0|grep 'inet addr'|awk '{print $2}'|sed 's/addr://g')

/usr/bin/clear > /dev/tty1

if [ -a ${FIRSTBOOT_TOUCH_FILE_2} ]; then
  echo "NetApp Flash Accel Management Console (FMC) $version." > /dev/tty1
  echo "Installation, configuration and management of Flash Accel caching" > /dev/tty1
  echo "in a VMware vSphere environment." > /dev/tty1
  echo "" > /dev/tty1
  echo "" > /dev/tty1
  echo "" > /dev/tty1
  echo "" > /dev/tty1
  echo "Please connect to http://$OUR_IP for configuring and using FMC." > /dev/tty1
  echo "" > /dev/tty1
  echo "" > /dev/tty1
  echo "" > /dev/tty1
  echo "" > /dev/tty1
  echo "" > /dev/tty1
  echo "" > /dev/tty1
  echo "For more information or support please visit http://www.netapp.com/." > /dev/tty1
  exit 0
fi

echo "" > /dev/tty1
echo "Initial boot detected.  Performing one-time configuration steps and" > /dev/tty1
echo "rebooting." > /dev/tty1
echo "" > /dev/tty1

# Install FMC files
dpkg -i /root/fmc*.deb

# Relocate the database files to /opt/netapp/mysql  (separate disk on FMC VM)
service mysql stop
/bin/rm -rf /opt/netapp/mysql/*
/bin/cp -R -p /var/lib/mysql/ /opt/netapp/
/bin/rm -rf /var/lib/mysql
/bin/ln -s /opt/netapp/mysql/ /var/lib/mysql
# The following line is required as mysql looks at all the files under
# its datadir which is currently pointed at /var/lib/mysql, and this enables 
# a clean restart. This is because the InnoDB engine may be disabled 
/bin/rm -rf /var/lib/mysql/ib_logfile*
service mysql start

# Install FMC Database
mysql -u root < /var/www/mercury_nocontent.sql
service mysql restart

# Install crontab
crontab /var/www/drush_cron.txt

# Allow drupal (www-data) to backup contents
/bin/chmod -R 775 /opt/netapp/flashaccel
/bin/chgrp -R www-data /opt/netapp/flashaccel

# Allow users to mount cdrom
/bin/sed -i -e 's/defaults,noauto/defaults,noauto,user/g' /etc/fstab

# Create the flag to indicate that this script has been executed
touch ${FIRSTBOOT_TOUCH_FILE_2}

# Reboot to ensure we come up with a consistent configuration on first
# and second+ boots.
/sbin/reboot
